Bug 739555 - Content upload error on rhel 6
Summary: Content upload error on rhel 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 13:34 UTC by John Matthews
Modified: 2013-09-09 16:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description John Matthews 2011-09-19 13:34:18 UTC
Description of problem:

# pulp-admin content upload --dir ./rpms/ --nosig
* Starting Content Upload operation. See /var/log/pulp/client.log for more verbose output

* Performing Content Uploads to Pulp server
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.6/site-packages/pulp/client/lib/cli.py", line 152, in main
    command.main(self.args[1:])
  File "/usr/lib/python2.6/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.6/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.6/site-packages/pulp/client/admin/plugins/content.py", line 131, in run
    upload_id = uapi.upload(f, checksum=metadata['checksum'], chunksize=self.opts.chunk)
  File "/usr/lib/python2.6/site-packages/pulp/client/api/upload.py", line 124, in upload
    self.__upload(path, offset, uuid, chunksize)
  File "/usr/lib/python2.6/site-packages/pulp/client/api/upload.py", line 144, in __upload
    self.__append(uuid, Bytes(buf))
  File "/usr/lib/python2.6/site-packages/pulp/client/api/upload.py", line 156, in __append
    return self.server.PUT(path, buf)[1]
  File "/usr/lib/python2.6/site-packages/pulp/client/api/server.py", line 307, in PUT
    return self._request('PUT', path, body=body)
  File "/usr/lib/python2.6/site-packages/pulp/client/api/server.py", line 252, in _request
    connection.request(method, url, body=body, headers=self.headers)
  File "/usr/lib64/python2.6/httplib.py", line 914, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.6/httplib.py", line 954, in _send_request
    self.send(body)
  File "/usr/lib64/python2.6/httplib.py", line 759, in send
    self.sock.sendall(str)
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 222, in write
    return self._write_bio(data)
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Connection.py", line 205, in _write_bio
    return m2.ssl_write(self.ssl, data, self._timeout)
TypeError: 'Bytes' does not have the buffer interface

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 (Santiago)
[root@ip-10-40-30-188 ~]# rpm -qa | grep pulp
pulp-admin-0.0.231-1.el6.noarch
m2crypto-0.21.1.pulp-2.el6.x86_64
pulp-common-0.0.231-1.el6.noarch
pulp-client-lib-0.0.231-1.el6.noarch
pulp-consumer-0.0.231-1.el6.noarch
pulp-0.0.231-1.el6.noarch

# rpm -qa | grep m2crypto
m2crypto-0.21.1.pulp-2.el6.x86_64

Comment 1 John Matthews 2011-09-19 13:36:37 UTC
I think the issue we are seeing is related to this patch:

# https://bugzilla.osafoundation.org/show_bug.cgi?id=2341
Patch0: m2crypto-0.21.1-timeouts.patch

I removed this patch, recompiled the RPM and the content upload error went away on rhel 6.

Comment 2 John Matthews 2011-09-21 17:00:47 UTC
Plan is for short term to remove any patches we don't need which are impacting el6.  

I am testing with removing the "memoryview" and not "timeouts" patch.  I may have been incorrect assuming it was related to "timeouts".

Comment 3 John Matthews 2011-10-10 18:38:03 UTC
Moving to ON_QA.

QE: Please re-test with latest Pulp.

Comment 4 Preethi Thomas 2011-10-12 15:18:32 UTC
verified
[root@katello-test ~]# rpm -qa |grep pulp
pulp-client-lib-0.0.237-4.el6.noarch
pulp-common-0.0.237-4.el6.noarch
pulp-admin-0.0.237-4.el6.noarch
m2crypto-0.21.1.pulp-5.el6.x86_64
pulp-0.0.237-4.el6.noarch
[root@katello-test ~]# 

[root@katello-test ~]# pulp-admin -u admin -p admin content upload --dir /root/new/ --nosig -v
* Starting Content Upload

* Performing Content Uploads to Pulp server
Successfully uploaded [skype-1.2.0.18-suse.i586.rpm] to server

* Content Upload complete.
[root@katello-test ~]#

Comment 5 Preethi Thomas 2012-02-24 20:18:39 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 6 Preethi Thomas 2012-02-24 20:19:25 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.